Обновления Ubuntu заблокированы apt-get

На прошлой неделе Ubuntu попросил установить некоторые обновления. После этого возникла серия проблем (раньше все работало нормально), и теперь я не могу использовать команду apt-get из-за этих «отсутствующих зависимостей» ...

Эти проблемы, по-видимому, связаны с man-db, openssh-server и r-base. Единственное, что я знаю, это то, что новая версия R, которую Ubuntu пытался установить (через менеджер пакетов), была бета-версией. Во всяком случае, я не ожидал таких автоматических предложений ... Вот что я получаю

michele@eaaqdev01:~$ sudo apt-get autoremove -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  openssh-server
Suggested packages:
  rssh molly-guard openssh-blacklist openssh-blacklist-extra monkeysphere
The following packages will be REMOVED:
  dpatch walinuxagent-data-saver
The following packages will be upgraded:
  openssh-server
1 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
25 not fully installed or removed.
Need to get 0 B/338 kB of archives.
After this operation, 280 kB disk space will be freed.
Do you want to continue [Y/n]? Y
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
(Reading database ... 181945 files and directories currently installed.)
Removing dpatch ...
Removing walinuxagent-data-saver ...
Setting up ca-certificates (20130906ubuntu0.12.04.1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing ca-certificates (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already

man-db кусок:

                                                              Setting up man-db (2.6.1-2ubuntu1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing man-db (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already

openssh кусок:

                                                              Setting up openssh-client (1:5.9p1-5ubuntu1.2) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing openssh-client (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of openssh-server:
 openssh-server depends on openssh-client (= 1:5.9p1-5ubuntu1.1); however:
  Version of openssh-client on system is 1:5.9p1-5ubuntu1.2.
dpkg: error processing openssh-server (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already

r-base кусок:

                                                              Setting up r-base-core (3.0.3.20140328-1precise0) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing r-base-core (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-boot:
 r-cran-boot depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-boot (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-cluster:
 r-cran-cluster depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-cluster (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-foreign:
 r-cran-foreign depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-foreign (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-mass:
 r-cran-mass depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-mass (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-kernsmooth:
 r-cran-kernsmooth depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
 r-cran-kernsmooth depends on r-cran-mass; however:
  Package r-cran-mass is not configured yet.
dpkg: error processing r-cran-kernsmooth (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-nlme:
 r-cran-nlme depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-nlme (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-matrix:
 r-cran-matrix depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-matrix (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-mgcv:
 r-cran-mgcv depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
 r-cran-mgcv depends on r-cran-nlme; however:
  Package r-cran-nlme is not configured yet.
 r-cran-mgcv depends on r-cran-matrix; however:
  Package r-cran-matrix is not configured yet.
dpkg: error processing r-cran-mgcv (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-rpart:
 r-cran-rpart depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-rpart (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-class:
 r-cran-class depends on r-base-core (>= 3.0.3-1precise0); however:
  Package r-base-core is not configured yet.
 r-cran-class depends on r-cran-mass; however:
  Package r-cran-mass is not configured yet.
dpkg: error processing r-cran-class (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-cran-nnet:
 r-cran-nnet depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-cran-nnet (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-recommended:
 r-recommended depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
 r-recommended depends on r-cran-boot (>= 1.2.19); however:
  Package r-cran-boot is not configured yet.
 r-recommended depends on r-cran-cluster (>= 1.9.6-2); however:
  Package r-cran-cluster is not configured yet.
 r-recommended depends on r-cran-foreign (>= 0.7-2); however:
  Package r-cran-foreign is not configured yet.
 r-recommended depends on r-cran-kernsmooth (>= 2.2.14); however:
  Package r-cran-kernsmooth is not configured yet.
 r-recommended depends on r-cran-mgcv (>= 1.1.5); however:
  Package r-cran-mgcv is not configured yet.
 r-recommended depends on r-cran-nlme (>= 3.1.52); however:
  Package r-cran-nlme is not configured yet.
 r-recommended depends on r-cran-rpart (>= 3.1.20); however:
  Package r-cran-rpart is not configured yet.
 r-recommended depends on r-cran-mass; however:
  Package r-cran-mass is not configured yet.
 r-recommended depends on r-cran-class; however:
  Package r-cran-class is not configured yet.
 r-recommended depends on r-cran-nnet; however:
  Package r-cran-nnet is not configured yet.
 r-recommended depends on r-cran-matrix; however:
  Package r-cran-matrix is not configured yet.
dpkg: error processing r-recommended (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-base:
 r-base depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
 r-base depends on r-recommended (= 3.0.3.20140328-1precise0); however:
  Package r-recommended is not configured yet.
dpkg: error processing r-base (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-base-dev:
 r-base-dev depends on r-base-core (>= 3.0.3.20140328-1precise0); however:
  Package r-base-core is not configured yet.
dpkg: error processing r-base-dev (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up samba-common (2:3.6.3-2ubuntu2.10) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing samba-common (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of samba-common-bin:
 samba-common-bin depends on samba-common (>= 2:3.4.0~pre1-2); however:
  Package samba-common is not configured yet.
dpkg: error processing samba-common-bin (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of smbclient:
 smbclient depends on samba-common (= 2:3.6.3-2ubuntu2.10); however:
  Package samba-common is not configured yet.
dpkg: error processing smbclient (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of ssh-askpass-gnome:
 ssh-askpass-gnome depends on openssh-client | ssh (>= 1:1.2pre7-4) | ssh-krb5; however:
  Package openssh-client is not configured yet.
  Package ssh is not installed.
  Package ssh-krb5 is not installed.
dpkg: error processing ssh-askpass-gnome (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Setting up cloud-init (0.6.3-0ubuntu1.12) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable
dpkg: error processing cloud-init (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of r-base-html:
 r-base-html depends on r-base-core; however:
  Package r-base-core is not configured yet.
dpkg: error processing r-base-html (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 ca-certificates
 man-db
 openssh-client
 openssh-server
 r-base-core
 r-cran-boot
 r-cran-cluster
 r-cran-foreign
 r-cran-mass
 r-cran-kernsmooth
 r-cran-nlme
 r-cran-matrix
 r-cran-mgcv
 r-cran-rpart
 r-cran-class
 r-cran-nnet
 r-recommended
 r-base
 r-base-dev
 samba-common
 samba-common-bin
 smbclient
 ssh-askpass-gnome
 cloud-init
 r-base-html
E: Sub-process /usr/bin/dpkg returned an error code (1)

Извините за сброс большого количества кодов, но я в основном застрял. ЛЮБАЯ операция apt-get заблокирована из-за вышеизложенного. Это просто смешно, потому что я не просил ни одного для этих обновлений, я просто подтвердил то, что Ubuntu говорил "Важные обновления".

3
задан 19.05.2020, 05:28

2 ответа

Я решил проблему путем выполнения

sudo rm -f /etc/apt/sources.list.d/*

sudo dpkg -i /var/cache/apt/archives/*.deb

sudo dpkg --configure -a
6
ответ дан 19.05.2020, 05:30

Часть сообщения об ошибке ясно показывает, что,

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by another process: Resource temporarily unavailable

средство /var/cache/debconf/config.dat было заблокировано другим процессом, который препятствует тому, чтобы текущий процесс настроил пакеты. Поэтому ожидайте процесса к freeup /var/cache/debconf/config.dat этот ресурс. Если никакой другой процесс не будет использовать этот ресурс, простой перезапуск решит Вашу проблему.

2
ответ дан 19.05.2020, 05:29

Теги

Похожие вопросы